<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

$id = db_query("select seriennummer, lizenz, ablauf, hwaddr, ip, version from register");
$werte = db_fetch_array($id);
$seriennummer = $werte["seriennummer"];
$version = $werte["version"];
$ip = $werte["ip"];
$hwaddr = $werte["hwaddr"];
if ((istleer($ip)) || (istleer($hwaddr)))
	{
	 $fehlertext = ltext("reg_register_error");
	 db_close();
	 include("index3.php");
	 exit();
	}
if( $_SERVER["HTTPS"] == "on" ) { $url = "https://".$HTTP_HOST.$REQUEST_URI; }
else { $url = "http://".$HTTP_HOST.$REQUEST_URI; }

$url = str_replace("register.php", "setup.php", $url);
$serverid = bin2hex("$seriennummer:-:$hwaddr:-:$ip:-:$url");
$manserverid = bin2hex("$seriennummer:-:$hwaddr:-:$ip:-:");
?>
<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<tr>
    <TD valign="top"> 
      <P><? echo ltext("reg_register_title"); ?></P>
      <P><? echo ltext("reg_register_desc"); ?></P>
      <form method="post" action="http://register.confixx.de/v2/register.php" name="reg">
        <input type="hidden" name="serverid" value="<? echo $serverid; ?>">
        <input type="hidden" name="version" value="pro">
        <input type="hidden" name="language" value="<? echo $shortlang; ?>">
    <? echo std_button(ltext("reg_register_next"), 'javascript:doChange()'); ?></form>
      <P><? echo ltext("reg_register_desc2"); ?></P>
      <form><input type="text" value="<? echo $manserverid; ?>" size="50" readonly></form>
    </TD>
  </TR>
  </TBODY> 
</TABLE>
<P>&nbsp;</P>
</BODY>
</HTML>
